Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv2.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attestv2.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

See Also:
  `RequestObjectBuilder`

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`void` | `bootstrap()`
`CancelAttestBuilderRequest` | `buildCancelAttestationRequest(boolean isTest, InputReference references, Ssin patientSsin, org.joda.time.DateTime referenceDate, Kmehrmessage msg)` Create the CancelAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD
`SendAttestBuilderRequest` | `buildSendAttestationRequest(boolean isTest, InputReference references, Ssin patientSsin, org.joda.time.DateTime referenceDate, Kmehrmessage msg)` Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### buildSendAttestationRequest

    public SendAttestBuilderRequest buildSendAttestationRequest(boolean isTest,
                                                                InputReference references,
                                                                Ssin patientSsin,
                                                                org.joda.time.DateTime referenceDate,
                                                                Kmehrmessage msg)
                                                         throws AttestBusinessConnectorException,
                                                                TechnicalConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Specified by:
    `buildSendAttestationRequest` in interface `RequestObjectBuilder`
  Parameters:
    `isTest` - indicates if this is a test or not
    `patientSsin` - the ssin of the the patient
    `referenceDate` - the reference date
    `msg` - the kmehr message specifying the attestation to send
  Returns:
    a wrapper containing the valid request that will be sent to the WS and the SendTransactionRequest before encryption
  Throws:
    `AttestBusinessConnectorException`
    `TechnicalConnectorException`

### buildCancelAttestationRequest

    public CancelAttestBuilderRequest buildCancelAttestationRequest(boolean isTest,
                                                                    InputReference references,
                                                                    Ssin patientSsin,
                                                                    org.joda.time.DateTime referenceDate,
                                                                    Kmehrmessage msg)
                                                             throws AttestBusinessConnectorException,
                                                                    TechnicalConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Create the CancelAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Specified by:
    `buildCancelAttestationRequest` in interface `RequestObjectBuilder`
  Parameters:
    `isTest` - indicates if this is a test or not
    `patientSsin` - the ssin of the the patient
    `referenceDate` - the reference date
    `msg` - the kmehr message specifying the attestation to send
  Returns:
    a wrapper containing the valid request that will be sent to the WS and the CancelTransactionRequest before encryption
  Throws:
    `AttestBusinessConnectorException`
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.